Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2648683003: Introduce WM_POINTER to Handle pointer events with pen type (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by lanwei
Modified:
3 months, 4 weeks ago
Reviewers:
dtapuska, ananta, sky, sadrul, mustaq
CC:
chromium-reviews, jam, darin-cc_chromium.org, tfarina
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Introduce WM_POINTER to Handle pointer events with pen type BUG=367113 Review-Url: https://codereview.chromium.org/2648683003 Cr-Commit-Position: refs/heads/master@{#460522} Committed: https://chromium.googlesource.com/chromium/src/+/499bc4f53d3e04ac9e56cd86a2cf7dc723625ef7

Patch Set 1 #

Total comments: 3

Patch Set 2 : wmpointer #

Patch Set 3 : wmpointer #

Patch Set 4 : wm pointer #

Patch Set 5 : wm pointer #

Total comments: 6

Patch Set 6 : wm pointer #

Total comments: 1

Patch Set 7 : remove if #

Total comments: 2

Patch Set 8 : remove pointerinfo #

Total comments: 4

Patch Set 9 : change to ptPixelLocationRaw #

Patch Set 10 : wm pointer #

Total comments: 21

Patch Set 11 : wm pointer #

Total comments: 1

Patch Set 12 : NOTREACHED() when default #

Unified diffs Side-by-side diffs Delta from patch set Stats (+141 lines, -1 line) Patch
M content/browser/renderer_host/legacy_render_widget_host_win.h View 2 chunks +6 lines, -0 lines 0 comments Download
M content/browser/renderer_host/legacy_render_widget_host_win.cc View 1 2 3 4 5 6 7 1 chunk +13 lines, -0 lines 0 comments Download
M ui/base/win/window_event_target.h View 1 chunk +12 lines, -0 lines 0 comments Download
M ui/views/win/hwnd_message_handler.h View 1 2 3 4 5 3 chunks +10 lines, -1 line 0 comments Download
M ui/views/win/hwnd_message_handler.cc View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +100 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 120 (92 generated)
lanwei
6 months ago (2017-01-20 22:28:02 UTC) #5
dtapuska
anantha@ this isn't ready for review yet but if you have some rough comments about ...
6 months ago (2017-01-23 14:15:38 UTC) #9
lanwei
ananta@ this isn't ready for review yet but if you have some rough comments about ...
6 months ago (2017-01-23 19:26:06 UTC) #11
mustaq
https://codereview.chromium.org/2648683003/diff/1/ui/views/win/hwnd_message_handler.h File ui/views/win/hwnd_message_handler.h (right): https://codereview.chromium.org/2648683003/diff/1/ui/views/win/hwnd_message_handler.h#newcode226 ui/views/win/hwnd_message_handler.h:226: LRESULT HandleMouseMessage(unsigned int message, Do we need to do ...
6 months ago (2017-01-26 19:19:35 UTC) #13
ananta
On 2017/01/26 19:19:35, mustaq wrote: > https://codereview.chromium.org/2648683003/diff/1/ui/views/win/hwnd_message_handler.h > File ui/views/win/hwnd_message_handler.h (right): > > https://codereview.chromium.org/2648683003/diff/1/ui/views/win/hwnd_message_handler.h#newcode226 > ...
5 months, 4 weeks ago (2017-01-27 19:28:36 UTC) #14
ananta
https://codereview.chromium.org/2648683003/diff/100001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/100001/ui/views/win/hwnd_message_handler.cc#newcode946 ui/views/win/hwnd_message_handler.cc:946: if (is_pointer_in_range_) Does not appear to be set anywhere. ...
4 months, 2 weeks ago (2017-03-09 00:37:33 UTC) #28
lanwei
https://codereview.chromium.org/2648683003/diff/100001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/100001/ui/views/win/hwnd_message_handler.cc#newcode946 ui/views/win/hwnd_message_handler.cc:946: if (is_pointer_in_range_) On 2017/03/09 00:37:33, ananta wrote: > Does ...
4 months, 2 weeks ago (2017-03-09 21:05:06 UTC) #45
ananta
https://codereview.chromium.org/2648683003/diff/180001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/180001/ui/views/win/hwnd_message_handler.cc#newcode1663 ui/views/win/hwnd_message_handler.cc:1663: static GetPointerTypeFn get_pointer_type = reinterpret_cast<GetPointerTypeFn>( Instead of these if's ...
4 months, 1 week ago (2017-03-14 22:58:32 UTC) #48
lanwei
4 months, 1 week ago (2017-03-15 22:10:43 UTC) #56
dtapuska
https://codereview.chromium.org/2648683003/diff/220001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/220001/ui/views/win/hwnd_message_handler.cc#newcode1698 ui/views/win/hwnd_message_handler.cc:1698: using GetPointerInfoFn = BOOL(WINAPI*)(UINT32, POINTER_INFO*); This looks a little ...
4 months, 1 week ago (2017-03-17 13:49:39 UTC) #57
lanwei
https://codereview.chromium.org/2648683003/diff/220001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/220001/ui/views/win/hwnd_message_handler.cc#newcode1698 ui/views/win/hwnd_message_handler.cc:1698: using GetPointerInfoFn = BOOL(WINAPI*)(UINT32, POINTER_INFO*); On 2017/03/17 13:49:39, dtapuska ...
4 months, 1 week ago (2017-03-18 21:07:47 UTC) #67
mustaq
https://codereview.chromium.org/2648683003/diff/260001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/260001/ui/views/win/hwnd_message_handler.cc#newcode1697 ui/views/win/hwnd_message_handler.cc:1697: POINT client_point = pointer_pen_info.pointerInfo.ptPixelLocation; I think ptPixelLocationRaw is more ...
4 months, 1 week ago (2017-03-20 14:31:17 UTC) #68
ananta
LGTM % nit https://codereview.chromium.org/2648683003/diff/260001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/260001/ui/views/win/hwnd_message_handler.cc#newcode1693 ui/views/win/hwnd_message_handler.cc:1693: float pressure = (float)pointer_pen_info.pressure / 1024; ...
4 months ago (2017-03-22 19:03:27 UTC) #73
lanwei
Sadrul, could you please take a look, thank you? https://codereview.chromium.org/2648683003/diff/260001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/260001/ui/views/win/hwnd_message_handler.cc#newcode1693 ui/views/win/hwnd_message_handler.cc:1693: ...
4 months ago (2017-03-22 22:38:40 UTC) #78
mustaq
lgtm
4 months ago (2017-03-23 19:00:22 UTC) #79
dtapuska
On 2017/03/23 19:00:22, mustaq wrote: > lgtm seems I haven't lgtm'd this yet
4 months ago (2017-03-23 19:21:40 UTC) #83
sadrul
--> sky@ for ui/views/win changes I have some nits: https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc#newcode982 ui/views/win/hwnd_message_handler.cc:982: ...
4 months ago (2017-03-23 19:59:39 UTC) #85
dtapuska
https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc#newcode982 ui/views/win/hwnd_message_handler.cc:982: base::WeakPtr<HWNDMessageHandler> ref(weak_factory_.GetWeakPtr()); On 2017/03/23 19:59:38, sadrul wrote: > I ...
4 months ago (2017-03-23 20:02:51 UTC) #86
ananta
https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc#newcode982 ui/views/win/hwnd_message_handler.cc:982: base::WeakPtr<HWNDMessageHandler> ref(weak_factory_.GetWeakPtr()); On 2017/03/23 19:59:38, sadrul wrote: > I ...
4 months ago (2017-03-23 20:04:38 UTC) #87
dtapuska
On 2017/03/23 20:04:38, ananta wrote: > https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc > File ui/views/win/hwnd_message_handler.cc (right): > > https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc#newcode982 > ...
4 months ago (2017-03-24 21:14:58 UTC) #90
sky
I tend to think this code should generate a PointerEvent. Sadrul, WDTY? https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc ...
4 months ago (2017-03-27 15:33:58 UTC) #92
ananta
+1 for PointerEvent generation https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc#newcode1660 ui/views/win/hwnd_message_handler.cc:1660: if (base::win::GetVersion() <= base::win::VERSION_WIN7) { ...
4 months ago (2017-03-27 18:32:45 UTC) #93
sadrul
On 2017/03/27 15:33:58, sky wrote: > I tend to think this code should generate a ...
4 months ago (2017-03-27 21:31:47 UTC) #94
sky
On 2017/03/27 21:31:47, sadrul wrote: > On 2017/03/27 15:33:58, sky wrote: > > I tend ...
4 months ago (2017-03-27 21:41:24 UTC) #95
lanwei
https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/320001/ui/views/win/hwnd_message_handler.cc#newcode1670 ui/views/win/hwnd_message_handler.cc:1670: CHECK(get_pointer_type); On 2017/03/27 15:33:58, sky wrote: > Generally we ...
3 months, 4 weeks ago (2017-03-28 21:24:36 UTC) #109
sky
LGTM https://codereview.chromium.org/2648683003/diff/360001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2648683003/diff/360001/ui/views/win/hwnd_message_handler.cc#newcode1724 ui/views/win/hwnd_message_handler.cc:1724: break; NOTREACHED?
3 months, 4 weeks ago (2017-03-28 22:05:35 UTC) #110
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2648683003/380001
3 months, 4 weeks ago (2017-03-29 19:28:45 UTC) #117
commit-bot: I haz the power
3 months, 4 weeks ago (2017-03-29 20:31:28 UTC) #120
Message was sent while issue was closed.
Committed patchset #12 (id:380001) as
https://chromium.googlesource.com/chromium/src/+/499bc4f53d3e04ac9e56cd86a2cf...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973